Auto Multiple Choice - Feature # 73: multicolumn in seprate answer sheet

Status: Closed Priority: Normal
Author: red sea Category:
Created: 09/06/2012 Assignee:
Updated: 10/11/2012 Due date:
Description: i hope you put the answers in multicolumn (separate answer sheet model) .

now, the answers in one column (30 answers), then the model opening new answers page.

regards

History

09/13/2012 03:50 pm - Pieter Van den Hombergh

red sea wrote:

> i hope you put the answers in multicolumn (separate answer sheet model) .

> now, the answers in one column (30 answers), then the model opening new answers page.
>

> regards

The following works for me
inside the product environment
<pre>
\begin{examcopy}[2]
\coverpage
\shufflegroup{general}
\insertgroup{general}
\AMClabel{lastpage}
\AMCcleardoublepage
\AMCformBegin
\answerFormHead
\begin{multicols}{2}
\AMCform

\end{multicols}
\AMCcleardoublepage

\end{examcopy}
</pre>
in particular the \begin{multicolumns}{2} does the trick.

See attachment for the result (of the answer page only).

09/13/2012 03:51 pm - Pieter Van den Hombergh
- File twocolumn.pdf added

09/15/2012 09:33 pm - red sea
- File docrorah2.tar.gz added

thanks, but i cant't do it.

please see the attachment file.
09/15/2012 09:46 pm - Alexis Bienveniie

The trick from Pieter Van den Hombergh seems to work for your @separate.tex@: add
<pre>

\usepackage{multicol}

</pre>

before @\usepackage{arabxetex}@, and replace @\AMCform@ by

<pre>

\begin{multicols}{2}

\AMCform

\end{multicols}

</pre>

09/16/2012 11:22 am - red sea
- File docrorah2.tar.gz added

thanks, but no text now.

09/19/2012 03:27 pm - Alexis Bienveniie

This works for the first source file you posted, so the problem is in the second one: you used there the @\element@ command inside a @longtable@
environment, which is not a right way to write things. The @\element@ command don't write anything, but inserts some commands into a list. If you
call it inside an environment, its action will be local, so that the @\insertgroup@ called outside this environment won't be aware of all you did inside it
with @\element@...

10/11/2012 09:59 pm - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed

Files

twocolumn.pdf 65.6 kB 09/13/2012 Pieter Van den Hombergh
docrorah2.tar.gz 23.2kB 09/15/2012 red sea
docrorah2.tar.gz 17.2 kB 09/16/2012 red sea
